GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
collect_info Struct Reference

## Public Member Functions
| VEC (symtab_ptr)
bool | add_symbol (symbol *sym)

## Public Attributes
struct linespec_state * | state
| result

## Detailed Description

Definition at line 191 of file linespec.c.

## Member Function Documentation

## ◆ add_symbol()

bool collect_info::add_symbol | ( | symbol * | sym | ) |

Definition at line 211 of file linespec.c.

References linespec_state::list_mode, LOC_BLOCK, result, state, SYMBOL_CLASS, and VEC_safe_push.

Referenced by add_matching_symbols_to_info().

## ◆ VEC()

collect_info::VEC | ( | symtab_ptr |  | ) |
| inline

Definition at line 197 of file linespec.c.

## Member Data Documentation

## ◆ result

collect_info::result

Definition at line 204 of file linespec.c.

Referenced by add_matching_symbols_to_info(), add_symbol(), decode_objc(), find_function_symbols(), find_method(), and search_minsyms_for_name().

## ◆ state

struct linespec_state* collect_info::state

Definition at line 194 of file linespec.c.

Referenced by add_matching_symbols_to_info(), add_symbol(), decode_objc(), find_function_symbols(), find_method(), and search_minsyms_for_name().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/linespec.c